Package com.avaya.clientservices.messaging.enums

## Enum RefreshType

- java.lang.Object
- - java.lang.Enum<RefreshType>
  - - com.avaya.clientservices.messaging.enums.RefreshType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<RefreshType>`

      public enum RefreshType
      extends java.lang.Enum<RefreshType>

  Enumeration representing messaging polling refresh modes.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `FIFTEEN_MINUTES` | Polling for changes will be done every fifteen minutes.
    `FIVE_MINUTES` | Polling for changes will be done every five minutes.
    `MANUAL_MODE` | Polling for updates is disabled.
    `ONE_MINUTE` | Polling for changes will be done every one minute.
    `PUSH_MODE` | Push mode means continuous notifications in real time.
    `SIXTY_MINUTES` | Polling for changes will be done every one hour.
    `TEN_MINUTES` | Polling for changes will be done every ten minutes.
    `THIRTY_MINUTES` | Polling for changes will be done every thirty minutes.
    `TWO_MINUTES` | Polling for changes will be done every two minutes.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static RefreshType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static RefreshType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PUSH_MODE

          public static final RefreshType PUSH_MODE

      Push mode means continuous notifications in real time.

    - #### ONE_MINUTE

          public static final RefreshType ONE_MINUTE

      Polling for changes will be done every one minute.

    - #### TWO_MINUTES

          public static final RefreshType TWO_MINUTES

      Polling for changes will be done every two minutes.

    - #### FIVE_MINUTES

          public static final RefreshType FIVE_MINUTES

      Polling for changes will be done every five minutes.

    - #### TEN_MINUTES

          public static final RefreshType TEN_MINUTES

      Polling for changes will be done every ten minutes.

    - #### FIFTEEN_MINUTES

          public static final RefreshType FIFTEEN_MINUTES

      Polling for changes will be done every fifteen minutes.

    - #### THIRTY_MINUTES

          public static final RefreshType THIRTY_MINUTES

      Polling for changes will be done every thirty minutes.

    - #### SIXTY_MINUTES

          public static final RefreshType SIXTY_MINUTES

      Polling for changes will be done every one hour.

    - #### MANUAL_MODE

          public static final RefreshType MANUAL_MODE

      Polling for updates is disabled. Use manual refresh method `MessagingService#refresh(MessagingCompletionHandler)`.

  - ### Method Detail

    - #### values

          public static RefreshType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RefreshType c : RefreshType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RefreshType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null